## ESearchBar

ESearchBar

## Functions

GtkWidget * | e_search_bar_new ()
void | e_search_bar_clear ()
void | e_search_bar_changed ()
EWebView * | e_search_bar_get_web_view ()
gboolean | e_search_bar_get_active_search ()
gboolean | e_search_bar_get_case_sensitive ()
void | e_search_bar_set_case_sensitive ()
gchar * | e_search_bar_get_text ()
void | e_search_bar_set_text ()
gboolean | e_search_bar_get_can_hide ()
void | e_search_bar_set_can_hide ()
void | e_search_bar_focus_entry ()

## Properties

gboolean | active-search | Read
gboolean | can-hide | Read / Write
gboolean | case-sensitive | Read / Write
char * | text | Read / Write
EWebView * | web-view | Read / Write / Construct Only

## Signals

void | changed | Action
void | clear | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ESearchBar

## Description

## Functions

### e_search_bar_new ()

    GtkWidget *
    e_search_bar_new (EWebView *web_view);

### e_search_bar_clear ()

    void
    e_search_bar_clear (ESearchBar *search_bar);

### e_search_bar_changed ()

    void
    e_search_bar_changed (ESearchBar *search_bar);

### e_search_bar_get_web_view ()

    EWebView *
    e_search_bar_get_web_view (ESearchBar *search_bar);

### e_search_bar_get_active_search ()

    gboolean
    e_search_bar_get_active_search (ESearchBar *search_bar);

### e_search_bar_get_case_sensitive ()

    gboolean
    e_search_bar_get_case_sensitive (ESearchBar *search_bar);

### e_search_bar_set_case_sensitive ()

    void
    e_search_bar_set_case_sensitive (ESearchBar *search_bar,
                                     gboolean case_sensitive);

### e_search_bar_get_text ()

    gchar *
    e_search_bar_get_text (ESearchBar *search_bar);

### e_search_bar_set_text ()

    void
    e_search_bar_set_text (ESearchBar *search_bar,
                           const gchar *text);

### e_search_bar_get_can_hide ()

    gboolean
    e_search_bar_get_can_hide (ESearchBar *search_bar);

### e_search_bar_set_can_hide ()

    void
    e_search_bar_set_can_hide (ESearchBar *search_bar,
                               gboolean can_hide);

### e_search_bar_focus_entry ()

    void
    e_search_bar_focus_entry (ESearchBar *search_bar);

## Property Details

### The `“active-search”` property

      “active-search”            gboolean

Owner: ESearchBar

Flags: Read

Default value: FALSE

### The `“can-hide”` property

      “can-hide”                 gboolean

Owner: ESearchBar

Flags: Read / Write

Default value: TRUE

### The `“case-sensitive”` property

      “case-sensitive”           gboolean

Owner: ESearchBar

Flags: Read / Write

Default value: FALSE

### The `“text”` property

      “text”                     char *

Owner: ESearchBar

Flags: Read / Write

Default value: NULL

### The `“web-view”` property

      “web-view”                 EWebView *

Owner: ESearchBar

Flags: Read / Write / Construct Only

## Signal Details

### The `“changed”` signal

    void
    user_function (ESearchBar *esearchbar,
                   gpointer    user_data)

Flags: Action

### The `“clear”` signal

    void
    user_function (ESearchBar *esearchbar,
                   gpointer    user_data)

Flags: Action